For the complete documentation index, see llms.txt. This page is also available as Markdown.

QueryPrivateConnectPrice

1. API Description

This API (QueryPrivateConnectPrice) is used to inquiry Private Connect Price

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

internetType

Yes

Internet billing type.

Default: ByBandwidth.

Default value: ByBandwidth

bandwidthMbps

Yes

Integer

Maximum bandwidth limit for the Private Connect.

Default: 10, unit: Mbps.

Value range: [10, +)

Default value: 10

endpointA

Yes

Endpoint A information of the Private Connect.

endpointZ

Yes

Endpoint Z information of the Private Connect.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

endpointAPrice

Price information for Endpoint A of the Private Connect.

endpointZPrice

Price information for Endpoint Z of the Private Connect.

price

Price information.

stock

Integer

Available stock quantity.

4. Code Example

1. Inquire the price for a Private Connect with a bandwidth of 10 Mbps, where Endpoint A is a data center port and Endpoint Z is a public cloud.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_DATACENTER_NOT_FOUND

The specified data center does not exist.

400

INVALID_PRIVATE_CONNECT_NOT_SUPPORT

This Private Connect combination is not yet supported.

Last updated